# Compression

enum Compression

Specifies the compression which should be applied to a TAR archive.

## Entries

NONE
Link copied to clipboard
NONE
GZIP
Link copied to clipboard
GZIP
BZIP2
Link copied to clipboard
BZIP2

## Properties

defaultExtension
Link copied to clipboard
val defaultExtension: String

## Functions

getSupportedExtensions
Link copied to clipboard
open fun getSupportedExtensions(): List<String>
valueOf
Link copied to clipboard
open fun valueOf(name: String): Compression

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<Compression>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.